Skip to content

Update settings

PATCH/settings

Costs 2 rate-limit points · Rate limits

Update one or more store invoicing settings.

Request body

  • settingsobjectRequired

    All fields are optional: only include fields you want to update.

    Show 38 child attributesHide child attributes
    • business_namestring
      Example: Doe Studio
    • emailstring
      Example: billing@example.com
    • phone_numberstring
      Example: +1 555 010 0199
    • address1string
      Example: 12 Example Street
    • address2string
      Example: Suite 4
    • address3string
      Example: Springfield, IL 62701
    • address4string
      Example: United States
    • tax_idstring
      Example: US-12-3456789
    • tax_id_titlestring
      Example: EIN
    • tax_office_namestring
    • invoice_titlestring
      Example: Invoice
    • draft_invoice_titlestring
      Example: Quote
    • credit_note_titlestring
      Example: Credit note
    • packing_slip_titlestring
      Example: Packing slip
    • invoice_number_prefixstring
      Example: INV-
    • next_invoice_numberstring
      Example: 1043
    • invoice_from_emailstring
      Example: billing@example.com
    • invoice_bcc_emailstring
      Example: accounts@example.com
    • invoice_bccboolean
      Example: true
    • customer_cc_email_metafieldstring

      Shopify customer metafield, as namespace.key, holding an extra address to CC every invoice to (e.g. custom.invoice_email). Empty disables it.

    • localestring
      Example: en
    • datetime_formatstring
      Example: %d %b %Y
    • automatic_invoicingboolean
      Example: true
    • automatic_invoicing_with_payment_linkboolean
      Example: false
    • financial_statusstring
      Example: paid
    • fulfillment_statusstring
      Example: any
    • default_due_daysinteger
      Example: 30
    • footer_messagestring
      Example: Thank you for your business.
    • facebook_urlstring
    • instagram_urlstring
      Example: https://instagram.com/doestudio
    • twitter_urlstring
    • use_custom_emailboolean
      Example: false
    • email_subject_templatestring
      Example: Your invoice {{invoice_number}}
    • email_body_templatestring
      Example: Hi {{customer_name}}, your invoice is attached.
    • enable_payment_remindersboolean
      Example: true
    • payment_reminder_intervalinteger
      Example: 3
    • payment_reminder_whenstring
      Example: after
      One of beforeafter
    • customer_locale_invoiceboolean
      Example: false

Returns

  • settingsobject
    Show 40 child attributesHide child attributes
    • business_namestring
      Example: Doe Studio
    • emailstring
      Example: billing@example.com
    • phone_numberstring
      Example: +1 555 010 0199
    • address1string
      Example: 12 Example Street
    • address2string
      Example: Suite 4
    • address3string
      Example: Springfield, IL 62701
    • address4string
      Example: United States
    • tax_idstring
      Example: US-12-3456789
    • tax_id_titlestring
      Example: EIN
    • tax_office_namestring
    • invoice_titlestring
      Example: Invoice
    • draft_invoice_titlestring
      Example: Quote
    • credit_note_titlestring
      Example: Credit note
    • packing_slip_titlestring
      Example: Packing slip
    • invoice_number_prefixstring
      Example: INV-
    • next_invoice_numberstring
      Example: 1043
    • invoice_from_emailstring
      Example: billing@example.com
    • invoice_bcc_emailstring
      Example: accounts@example.com
    • invoice_bccboolean
      Example: true
    • customer_cc_email_metafieldstring

      Shopify customer metafield, as namespace.key, holding an extra address to CC every invoice to (e.g. custom.invoice_email). Empty disables it.

    • localestring
      Example: en
    • email_localestring
      Example: en
    • datetime_formatstring
      Example: %d %b %Y
    • automatic_invoicingboolean
      Example: true
    • automatic_invoicing_with_payment_linkboolean
      Example: false
    • financial_statusstring
      Example: paid
    • fulfillment_statusstring
      Example: any
    • default_due_daysinteger
      Example: 30
    • footer_messagestring
      Example: Thank you for your business.
    • facebook_urlstring
    • instagram_urlstring
      Example: https://instagram.com/doestudio
    • twitter_urlstring
    • use_custom_emailboolean
      Example: false
    • email_subject_templatestring
      Example: Your invoice {{invoice_number}}
    • email_body_templatestring
      Example: Hi {{customer_name}}, your invoice is attached.
    • email_dkim_verifiedboolean
      Example: false
    • enable_payment_remindersboolean
      Example: true
    • payment_reminder_intervalinteger
      Example: 3
    • payment_reminder_whenstring
      Example: after
      One of beforeafter
    • customer_locale_invoiceboolean
      Example: false

Errors

401

Missing or invalid API key.

403

The store is not on a paid plan. API access requires a paid Invoice Falcon plan.

422

Request could not be processed.

429

Rate limit exceeded. Check X-RateLimit-Reset header.

PATCH/settings
curl -X PATCH "https://app.invoicefalcon.com/api/v1/external/settings" \
  -H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "settings": {
      "business_name": "Doe Studio",
      "email": "billing@example.com",
      "phone_number": "+1 555 010 0199",
      "address1": "12 Example Street",
      "address2": "Suite 4",
      "address3": "Springfield, IL 62701",
      "address4": "United States",
      "tax_id": "US-12-3456789",
      "tax_id_title": "EIN",
      "tax_office_name": "",
      "invoice_title": "Invoice",
      "draft_invoice_title": "Quote",
      "credit_note_title": "Credit note",
      "packing_slip_title": "Packing slip",
      "invoice_number_prefix": "INV-",
      "next_invoice_number": "1043",
      "invoice_from_email": "billing@example.com",
      "invoice_bcc_email": "accounts@example.com",
      "customer_cc_email_metafield": "custom.invoice_email",
      "invoice_bcc": true,
      "locale": "en",
      "email_locale": "en",
      "datetime_format": "%d %b %Y",
      "automatic_invoicing": true,
      "automatic_invoicing_with_payment_link": false,
      "financial_status": "paid",
      "fulfillment_status": "any",
      "default_due_days": 30,
      "footer_message": "Thank you for your business.",
      "facebook_url": "",
      "instagram_url": "https://instagram.com/doestudio",
      "twitter_url": "",
      "use_custom_email": false,
      "email_subject_template": "Your invoice {{invoice_number}}",
      "email_body_template": "Hi {{customer_name}}, your invoice is attached.",
      "email_dkim_verified": false,
      "enable_payment_reminders": true,
      "payment_reminder_interval": 3,
      "payment_reminder_when": "after",
      "customer_locale_invoice": false
    }
  }'
Response
{
  "settings": {
    "business_name": "Doe Studio",
    "email": "billing@example.com",
    "phone_number": "+1 555 010 0199",
    "address1": "12 Example Street",
    "address2": "Suite 4",
    "address3": "Springfield, IL 62701",
    "address4": "United States",
    "tax_id": "US-12-3456789",
    "tax_id_title": "EIN",
    "tax_office_name": "",
    "invoice_title": "Invoice",
    "draft_invoice_title": "Quote",
    "credit_note_title": "Credit note",
    "packing_slip_title": "Packing slip",
    "invoice_number_prefix": "INV-",
    "next_invoice_number": "1043",
    "invoice_from_email": "billing@example.com",
    "invoice_bcc_email": "accounts@example.com",
    "customer_cc_email_metafield": "custom.invoice_email",
    "invoice_bcc": true,
    "locale": "en",
    "email_locale": "en",
    "datetime_format": "%d %b %Y",
    "automatic_invoicing": true,
    "automatic_invoicing_with_payment_link": false,
    "financial_status": "paid",
    "fulfillment_status": "any",
    "default_due_days": 30,
    "footer_message": "Thank you for your business.",
    "facebook_url": "",
    "instagram_url": "https://instagram.com/doestudio",
    "twitter_url": "",
    "use_custom_email": false,
    "email_subject_template": "Your invoice {{invoice_number}}",
    "email_body_template": "Hi {{customer_name}}, your invoice is attached.",
    "email_dkim_verified": false,
    "enable_payment_reminders": true,
    "payment_reminder_interval": 3,
    "payment_reminder_when": "after",
    "customer_locale_invoice": false
  }
}